package main

import (
	"fmt"
	"io/ioutil"
	"strconv"
	"strings"
)

var (
	common  map[int][]bool
	isT     map[int]bool
	gamma   string
	epsilon string
)

func init() {
	common = make(map[int][]bool)
	isT = make(map[int]bool)
	gamma = ""
	epsilon = ""
}

func main() {
	f, err := ioutil.ReadFile("input.txt")
	if err != nil {
		panic(err)
	}
	for _, val := range strings.Split(string(f), "\r\n") {
		chars := strings.Split(val, "")
		fmt.Printf("chars: %v\n", chars)
		for i, char := range chars {
			conv, _ := strconv.ParseBool(char)
			common[i] = append(common[i], conv)
			isT[i] = isTrue(common[i])
			fmt.Printf("common[%v]: %v hasMore: %v\n", i, common[i], isT[i])
		}
	}

	fmt.Printf("isT: %v\n", isT)

}

func isTrue(s []bool) bool {
	var (
		t int
		f int
	)
	t, f = 0, 0
	for _, val := range s {
		if val == true {
			t++
		}
		if val == false {
			f++
		}
	}
	if t > f {
		return true
	} else {
		return false
	}
}
